# FlattenArray

This library provides a `flatten_array` core extension for the Ruby `Array` class. It recursively unpacks nested array into a single dimensional array.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'flatten_array', '~> 0.2.0'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install flatten_array

## Usage

Require the extension in your script and then call `flatten_array` on any array:

```ruby
require 'flatten_array/core_ext/array/flatten_array'

flattened_array = [1, [{ a: :b }, ['a']], 4, nil].flatten_array

=> [1, { a: :b }, 'a', 4, nil]
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
